gi-gdk-3.0.29: Gdk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gdk.Structs.EventAny

Contents

- Exported types
- Methods
- Properties
  - sendEvent
  - type
  - window

Description

Contains the fields which are common to all event structs. Any event pointer can safely be cast to a pointer to a `EventAny` to access these fields.

Synopsis

- newtype EventAny = EventAny (ManagedPtr EventAny)
- newZeroEventAny :: MonadIO m => m EventAny
- getEventAnySendEvent :: MonadIO m => EventAny -> m Int8
- setEventAnySendEvent :: MonadIO m => EventAny -> Int8 -> m ()
- getEventAnyType :: MonadIO m => EventAny -> m EventType
- setEventAnyType :: MonadIO m => EventAny -> EventType -> m ()
- clearEventAnyWindow :: MonadIO m => EventAny -> m ()
- getEventAnyWindow :: MonadIO m => EventAny -> m (Maybe Window)
- setEventAnyWindow :: MonadIO m => EventAny -> Ptr Window -> m ()

# Exported types

newtype EventAny Source #

Memory-managed wrapper type.

Constructors

EventAny (ManagedPtr EventAny) |

#### Instances

Instances details

Eq EventAny Source # |
Instance details Defined in GI.Gdk.Structs.EventAny Methods (==) :: EventAny -> EventAny -> Bool Source # (/=) :: EventAny -> EventAny -> Bool Source #
BoxedPtr EventAny Source # |
Instance details Defined in GI.Gdk.Structs.EventAny Methods boxedPtrCopy :: EventAny -> IO EventAny Source # boxedPtrFree :: EventAny -> IO () Source #
CallocPtr EventAny Source # |
Instance details Defined in GI.Gdk.Structs.EventAny Methods boxedPtrCalloc :: IO (Ptr EventAny) Source #
ManagedPtrNewtype EventAny Source # |
Instance details Defined in GI.Gdk.Structs.EventAny Methods toManagedPtr :: EventAny -> ManagedPtr EventAny Source #
tag ~ 'AttrSet => Constructible EventAny tag Source # |
Instance details Defined in GI.Gdk.Structs.EventAny Methods new :: MonadIO m => (ManagedPtr EventAny -> EventAny) -> [AttrOp EventAny tag] -> m EventAny Source #

newZeroEventAny :: MonadIO m => m EventAny Source #

Construct a `EventAny` struct initialized to zero.

# Methods

# Properties

## sendEvent

`True` if the event was sent explicitly.

getEventAnySendEvent :: MonadIO m => EventAny -> m Int8 Source #

Get the value of the “`send_event`” field. When overloading is enabled, this is equivalent to

    get eventAny #sendEvent

setEventAnySendEvent :: MonadIO m => EventAny -> Int8 -> m () Source #

Set the value of the “`send_event`” field. When overloading is enabled, this is equivalent to

    set eventAny [ #sendEvent := value ]

## type

the type of the event.

getEventAnyType :: MonadIO m => EventAny -> m EventType Source #

Get the value of the “`type`” field. When overloading is enabled, this is equivalent to

    get eventAny #type

setEventAnyType :: MonadIO m => EventAny -> EventType -> m () Source #

Set the value of the “`type`” field. When overloading is enabled, this is equivalent to

    set eventAny [ #type := value ]

## window

the window which received the event.

clearEventAnyWindow :: MonadIO m => EventAny -> m () Source #

Set the value of the “`window`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #window

getEventAnyWindow :: MonadIO m => EventAny -> m (Maybe Window) Source #

Get the value of the “`window`” field. When overloading is enabled, this is equivalent to

    get eventAny #window

setEventAnyWindow :: MonadIO m => EventAny -> Ptr Window -> m () Source #

Set the value of the “`window`” field. When overloading is enabled, this is equivalent to

    set eventAny [ #window := value ]